## com.thingmagic
Class Iso180006bUcode.TagData

    java.lang.Object
      com.thingmagic.TagData
          com.thingmagic.Iso180006bUcode.TagData

All Implemented Interfaces:
  TagFilter

Enclosing class:
  Iso180006bUcode

    public static class Iso180006bUcode.TagData

extends TagData

This class extends `TagData` to represent the details of an ISO 18000-6BUCODE RFID tag.

Constructor Summary
`Iso180006bUcode.TagData(byte[] bEPC)` Construct an ISO 18000-6BUCODE tag data from a byte array.
`Iso180006bUcode.TagData(byte[] bEPC, byte[] crc)` Construct an ISO 18000-6BUCODE tag data from a byte array.
`Iso180006bUcode.TagData(java.lang.String sEPC)` Construct an ISO 18000-6BUCODE tag data from a hexadecimal string.
`Iso180006bUcode.TagData(java.lang.String sEPC, java.lang.String sCRC)` Construct an ISO 18000-6BUCODE tag data from a hexadecimal string.

Method Summary
`TagProtocol` `getProtocol()` Returns the protocol of this tag.

Methods inherited from class com.thingmagic.TagData
`crcBytes, epcBytes, epcString, equals, hashCode, matches, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Iso180006bUcode.TagData

    public Iso180006bUcode.TagData(byte[] bEPC)

  Construct an ISO 18000-6BUCODE tag data from a byte array.

  Parameters:
    `bEPC` - EPC bytes. Must be 8 bytes

### Iso180006bUcode.TagData

    public Iso180006bUcode.TagData(byte[] bEPC,
                                   byte[] crc)

  Construct an ISO 18000-6BUCODE tag data from a byte array.

  Parameters:
    `bEPC` - EPC bytes. Must be 8 bytes
    `crc` - CRC bytes

### Iso180006bUcode.TagData

    public Iso180006bUcode.TagData(java.lang.String sEPC)

  Construct an ISO 18000-6BUCODE tag data from a hexadecimal string.

  Parameters:
    `sEPC` - Hex string. Must be 8 bytes (16 hex digits)

### Iso180006bUcode.TagData

    public Iso180006bUcode.TagData(java.lang.String sEPC,
                                   java.lang.String sCRC)

  Construct an ISO 18000-6BUCODE tag data from a hexadecimal string.

  Parameters:
    `sEPC` - Hex string. Must be 8 bytes (16 hex digits)
    `sCRC` - Hex string. Must be 2 bytes (4 hex digits)

Method Detail

### getProtocol

    public TagProtocol getProtocol()

  Description copied from class: `TagData`
  Returns the protocol of this tag.

  Overrides:
    `getProtocol` in class `TagData`